bs.menu = function () {
  var self = this;

  self.create = function () {
    self.game.add.sprite(0, 0, 'ship_art');
    var click02 = self.game.add.audio('click02');

    // one or two players
    var oneplay = self.game.add.button(bs.tsize * 2.75, bs.tsize * 13.5, 'oneplayer',
      function () {
        bs.isTwoPlay = false;
        intro.stop();
        if (bs.audioOn)
          click02.play();
        bs.play = new playObj();
        self.game.state.start('getready');
      }, self, 0, 0, 1, 0);
    oneplay.anchor.setTo(0.5, 0.5);

    var twoplay = self.game.add.button(bs.tsize * 7.5, bs.tsize * 13.5, 'twoplayer',
      function () {
        bs.isTwoPlay = true;
        intro.stop();
        if (bs.audioOn)
          click02.play();

        bs.play = new playObj();

        bs.game.add.tween(oneplay).to({
          x: -100
        }, 1000, Phaser.Easing.Cubic.In, true);
        bs.game.add.tween(twoplay).to({
          x: 600
        }, 1000, Phaser.Easing.Cubic.In, true);

        var startgame = self.game.add.button(bs.tsize * 2.75, bs.tsize * 13.5, 'startgame',
          function () {
            intro.stop();
            if (bs.audioOn)
              click02.play();
            self.game.state.start('startroom');

          }, self, 0, 0, 1, 0);
        startgame.anchor.setTo(0.5, 0.5);

        var joingame = self.game.add.button(bs.tsize * 7.5, bs.tsize * 13.5, 'joingame',
          function () {
            intro.stop();
            if (bs.audioOn)
              click02.play();
            self.game.state.start('joinroom');
          }, self, 0, 0, 1, 0);
        joingame.anchor.setTo(0.5, 0.5);

        bs.game.add.tween(startgame).from({
          x: -100
        }, 1000, Phaser.Easing.Cubic.In, true);
        bs.game.add.tween(joingame).from({
          x: 600
        }, 1000, Phaser.Easing.Cubic.In, true);

      }, self, 0, 0, 1, 0);

    twoplay.anchor.setTo(0.5, 0.5);



    // audio
    var intro = self.game.add.audio('intro');
    if (bs.audioOn)
      intro.play('', 0, 1, true);

    bs.game.add.tween(oneplay).from({
      x: -100
    }, 1000, Phaser.Easing.Cubic.In, true);
    bs.game.add.tween(twoplay).from({
      x: 600
    }, 1000, Phaser.Easing.Cubic.In, true);

    bs.getOptions(30,[intro]);


  }
};
