bs.startroom = function () {
  var self = this;

  self.create = function () {
      var click02 = bs.game.add.audio('click02');
      var $phaser_game = $('#phaser_game');
      var $start_pane = $('#start_pane');
      var $contxt = $('#contxt');

      $phaser_game.hide();
      $start_pane.show();

      var $room_form = $('#room_form', $start_pane);
      var $goback_butt = $('#goback_butt', $start_pane);
      var $wait_form = $('#wait_form', $start_pane);
      var $start_butt = $('#start_game_butt', $start_pane);
      var $room_nam = $('#room_nam', $start_pane);
      var $passkey = $('#passkey', $start_pane);
      var $join_game_butt = $('#join_game_butt', $start_pane);
      var $wait_txt = $('#wait_txt', $start_pane);

      $room_form.hide();
      $wait_form.hide();

      bs.siglr.gethub().then(function (response) {
          self.hubid = response;

          $contxt.hide();
          $room_form.show();

          $start_butt.on('click', function () {
            if (bs.audioOn)
              click02.play();
            if (!$room_nam.val()) {
              bootbox.alert('You must name your game!');
            } else {

              self.gname = $room_nam.val();
              var passkey = $passkey.val();
              bs.siglr.startGame(self.gname, passkey);

            }

          });

        }, // end of connected
        function (error) {
          bootbox.alert(error);
        })

      $goback_butt.on('click', function () {
        if (bs.audioOn)
          click02.play();
        $phaser_game.show();
        $start_pane.hide();
        self.game.state.start('menu');
      });

    } // create

  $(document).on("startGameDone", function () {
    var $start_pane = $('#start_pane');
    var $room_form = $('#room_form', $start_pane);
    var $wait_form = $('#wait_form', $start_pane);
    var $join_game_butt = $('#join_game_butt', $start_pane);

    bs.play.gname = self.gname;
    bs.play.isP1 = true;

    $room_form.hide();
    $wait_form.show();
    $join_game_butt.hide();

  });

  // this gets called for game originator
  // opponent has just picked game off of menu and joined
  $(document).on("oppJoined", function () {
    var click02 = bs.game.add.audio('click02');
    var $start_pane = $('#start_pane');
    var $wait_txt = $('#wait_txt', $start_pane);
    var $join_game_butt = $('#join_game_butt', $start_pane);
    var $goback_butt = $('#goback_butt', $start_pane);
    var $phaser_game = $('#phaser_game');
    var $start_pane = $('#start_pane');


    $wait_txt.text('Opponent Has Joined!!');
    $join_game_butt.show();
    $goback_butt.hide();
    $join_game_butt.on('click', function () {
      if (bs.audioOn)
        click02.play();
      bs.siglr.playerStart(); // only P1
      $phaser_game.show();
      $start_pane.hide();
      self.game.state.start('getready2');
    });

  });



}
