bs.preloader = function () {
  var self = this;
  self.preload = function () {

    // start screen
    self.game.load.image('ship_art', 'img/ship_art.png');
    // start button
    self.game.load.spritesheet('start', 'img/startsheet.png', 200, 75);

    // water waves
    self.game.load.spritesheet('watersheet', 'img/water_sheet80.png', 430, 430);

    // get ready
    self.game.load.tilemap('map', 'img/map.json', null, Phaser.Tilemap.TILED_JSON);
    self.game.load.image('level', 'img/level.png');
    self.game.load.spritesheet('ship3sheet', 'img/ship3sheet.png', 124, 40);
    self.game.load.spritesheet('ship5sheet', 'img/ship5sheet.png', 210, 42);
    self.game.load.spritesheet('sub3sheet', 'img/sub3sheet.png', 126, 42);
    self.game.load.spritesheet('ship4sheet', 'img/ship4sheet.png', 168, 42);
    self.game.load.spritesheet('ship2sheet', 'img/ship2sheet.png', 84, 42);

    // your turn
    self.game.load.image('rad1', 'img/rad1.png');
    self.game.load.image('bombox', 'img/bombox.png');
    self.game.load.image('bomb', 'img/bomb.png');
    self.game.load.image('crosshairs', 'img/crosshairs.png');
    self.game.load.image('flame1', 'img/flame1.png');
    self.game.load.image('flame2', 'img/flame2.png');
    self.game.load.image('lit-smoke', 'img/lit-smoke.png');
    self.game.load.spritesheet('splasheet', 'img/splasheet.png', 300, 145);
    self.game.load.spritesheet('bombsheet', 'img/bombsheet.png', 195, 145);
    self.game.load.image('spark', 'img/spark01.png');
    self.game.load.image('lback', 'img/launch_back.png');

    self.game.load.spritesheet('begin', 'img/beginbuttsheet.png', 200, 75);
    self.game.load.spritesheet('launch', 'img/launchbuttsheet.png', 171, 171);
    // self.game.load.spritesheet('audiobtn', 'img/audioicon.png', 60, 60);
    // self.game.load.spritesheet('moviebtn', 'img/movieicon.png', 60, 60);
    self.game.load.spritesheet('gearbtn', 'img/gear.png');

    //opp turn
    self.game.load.spritesheet('firelight', 'img/Firelight.png', 50, 69);


    self.game.load.image('redpeg', 'img/redpeg.png');
    self.game.load.image('whitepeg', 'img/whitepeg.png');
    self.game.load.image('nosign', 'img/nosign.png');

    // game over
    self.game.load.tilemap('mapsm', 'img/mapsm.json', null, Phaser.Tilemap.TILED_JSON);
    self.game.load.image('levelsm', 'img/levelsm.png');
    self.game.load.spritesheet('playagain', 'img/playagain.png', 180, 140);

    // audio
    self.game.load.audio('splash03', 'mp3/splash03.m4a');
    self.game.load.audio('explode', 'mp3/Explosion.m4a');
    self.game.load.audio('intro', 'mp3/background_drums.m4a');
    self.game.load.audio('boat', 'mp3/boat_motor_sm.m4a');
    self.game.load.audio('clank', 'mp3/clank.m4a');
    self.game.load.audio('sub', 'mp3/sub.m4a');
    self.game.load.audio('water', 'mp3/water.m4a');
    self.game.load.audio('click02', 'mp3/click02.m4a');
    self.game.load.audio('gear01', 'mp3/gear01.m4a');
    self.game.load.audio('whirring', 'mp3/motor_whirring.m4a');
    self.game.load.audio('fire', 'mp3/voice_fire.m4a');
    self.game.load.audio('launch', 'mp3/missle_launch.m4a');
    self.game.load.audio('slosh', 'mp3/slosh.m4a');
    self.game.load.audio('siren', 'mp3/siren01.m4a');
    self.game.load.audio('happyend', 'mp3/upbeat_march.m4a');
    self.game.load.audio('sadend', 'mp3/sad_march03.m4a');

    // two player
    self.game.load.spritesheet('oneplayer', 'img/one_player.png', 200, 75);
    self.game.load.spritesheet('twoplayer', 'img/two_player.png', 200, 75);
    self.game.load.spritesheet('startgame', 'img/start_two_butt_sheet.png', 200, 75);
    self.game.load.spritesheet('joingame', 'img/join_two_butt_sheet.png', 200, 75);
    self.game.load.spritesheet('createroom', 'img/create_room.png', 200, 75);
    self.game.load.spritesheet('joinroom', 'img/join_room.png', 200, 75);
    self.game.load.spritesheet('goback', 'img/go_back.png', 200, 75);
    self.game.load.spritesheet('readygo', 'img/ready_green_butt.png', 200, 75);

  }

  self.create = function () {

    self.game.state.start('menu');

  }
}
